## passportjs 0.1.8

=== Makefile ===
NODE = node
TEST = ./node_modules/.bin/vows
TESTS ?= test/*-test.js test/**/*-test.js test/context/http/*-test.js

test:
	@NODE_ENV=test NODE_PATH=lib $(TEST) $(TEST_FLAGS) $(TESTS)

docs: docs/api.html

docs/api.html: lib/passport/*.js
	dox \
		--title Passport \
		--desc "Authentication framework for Connect and Express" \
		$(shell find lib/passport/* -type f) > $@

docclean:
	rm -f docs/*.{1,html}

.PHONY: test docs docclean

=== debian/changelog ===
passportjs (0.1.8-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 21:33:36 +0200

=== debian/control ===
Source: passportjs
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
Standards-Version: 3.9.3
Homepage: http://passportjs.org/
Vcs-Git: git://git.debian.org/pkg-javascript/passportjs.git
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/passportjs.git;a=summary

Package: node-passport
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: simple, unobtrusive authentication system for Node.js
 Passport is an authentication middleware for Node.js. Extremely flexible and
 modular, Passport can be unobtrusively dropped in to any Connect/Express-based
 web application.
 .
 It provides a comprehensive set of authentication systems: using a username
 and password, social networks credentials, OpenID, and more.
 .
 This package only provides the general framework and the "session"
 authorization strategy: other systems are packaged separately, please install
 the ones you need.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/jaredhanson/passport/v(\d+.*)\.tar\.gz

## passportjs 0.1.17

=== Makefile ===
SOURCES = lib/**/*.js

# ==============================================================================
# Node Tests
# ==============================================================================

VOWS = ./node_modules/.bin/vows
TESTS ?= test/*-test.js test/**/*-test.js test/context/http/*-test.js

test:
	@NODE_ENV=test NODE_PATH=lib $(VOWS) $(TESTS)

# ==============================================================================
# Static Analysis
# ==============================================================================

JSHINT = jshint

hint: lint
lint:
	$(JSHINT) $(SOURCES)


.PHONY: test hint lint

=== debian/changelog ===
passportjs (0.1.17-1) unstable; urgency=low

  * Upstream update
  * Standards-Version 3.9.4
  * Update 1001 patch to match current practice. Forward upstream
  * Add 2001 patch to get rid of dependency on node-pause
  * Keep tree when installing
  * Build-Depends nodejs, so it is available where installable
  * Rename license from MIT to Expat

 -- Jérémy Lal <kapouer@melix.org>  Sat, 26 Oct 2013 16:51:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: web
 Priority: extra
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8~)
-Standards-Version: 3.9.3
-Homepage: http://passportjs.org/
-Vcs-Git: git://git.debian.org/pkg-javascript/passportjs.git
-Vcs-Browser: http://git.debian.org/?p=pkg-javascript/passportjs.git;a=summary
+Uploaders: David Paleino <dapal@debian.org>,
+ Jérémy Lal <kapouer@melix.org>
+Build-Depends: debhelper (>= 8~), nodejs
+Standards-Version: 3.9.4
+Homepage: http://passportjs.org
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/passportjs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/passportjs.git
 
 Package: node-passport
 Architecture: all
@@ -25,3 +26,6 @@
  This package only provides the general framework and the "session"
  authorization strategy: other systems are packaged separately, please install
  the ones you need.
+ .
+ Node.js is an event-based server-side javascript engine.
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_clean:
	# nothing

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-passport-$1.tar.gz/ \
https://github.com/jaredhanson/passport/tags .*/archive/v?([\d\.]+).tar.gz

## passportjs 0.4.1

=== debian/changelog ===
passportjs (0.4.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Use pkg-js-tools auto install
  * New upstream version 0.4.1
  * Drop patches
  * Embed components: passport-strategy, pause
  * Enable upstream test using mocha (including components tests)
  * Add build dependency to node-proxyquire
  * Add "Multi-Arch: foreign"
  * Fix upstream/metadata

 -- Xavier Guimard <yadd@debian.org>  Fri, 29 May 2020 21:08:38 +0200

=== debian/control ===
Source: passportjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 12)
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-after <!nocheck>
 , node-proxyquire <!nocheck>
 , pkg-js-tools (>= 0.9.35~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/passportjs
Vcs-Git: https://salsa.debian.org/js-team/passportjs.git
Homepage: http://passportjs.org
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-passport
Architecture: all
Depends: ${misc:Depends}
 , nodejs
Multi-Arch: foreign
Description: simple, unobtrusive authentication system for Node.js
 Passport is an authentication middleware for Node.js. Extremely flexible and
 modular, Passport can be unobtrusively dropped in to any Connect/Express-based
 web application.
 .
 It provides a comprehensive set of authentication systems: using a username
 and password, social networks credentials, OpenID, and more.
 .
 This package only provides the general framework and the "session"
 authorization strategy: other systems are packaged separately, please install
 the ones you need.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-passport-$1.tar.gz/ \
https://github.com/jaredhanson/passport/tags .*/archive/v?([\d\.]+).tar.gz

opts=\
component=passport-strategy,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-passport-strategy-$1.tar.gz/ \
 https://github.com/jaredhanson/passport-strategy/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=pause,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-pause-$1.tar.gz/ \
 https://github.com/stream-utils/pause/tags .*/archive/v?([\d\.]+).tar.gz ignore

## passportjs 0.5.0%2B~1.0.0

=== debian/changelog ===
passportjs (0.5.0+~1.0.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Replace embedded pause by dependency to node-pause
  * Use uscan group
  * Install passport-strategy in nodejs dir
  * New upstream version 0.5.0+~1.0.0

 -- Yadd <yadd@debian.org>  Fri, 12 Nov 2021 10:55:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,25 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , chai <!nocheck>
  , mocha <!nocheck>
  , node-after <!nocheck>
+ , node-pause <!nocheck>
  , node-proxyquire <!nocheck>
- , pkg-js-tools (>= 0.9.35~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/passportjs
 Vcs-Git: https://salsa.debian.org/js-team/passportjs.git
-Homepage: http://passportjs.org
+Homepage: https://passportjs.org
 Testsuite: autopkgtest-pkg-nodejs
 Rules-Requires-Root: no
 
 Package: node-passport
 Architecture: all
 Depends: ${misc:Depends}
- , nodejs
+ , node-pause
+Provides: ${nodejs:Provides}
 Multi-Arch: foreign
 Description: simple, unobtrusive authentication system for Node.js
  Passport is an authentication middleware for Node.js. Extremely flexible and

=== debian/watch ===
version=4
opts=filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-passport-$1/ \
https://github.com/jaredhanson/passport/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
ctype=nodejs,\
component=passport-strategy,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-passport-strategy-$1/ \
 https://github.com/jaredhanson/passport-strategy/tags .*/archive/.*/v?([\d\.]+).tar.gz group

## passportjs 0.6.0%2B~1.0.0

=== debian/changelog ===
passportjs (0.6.0+~1.0.0-2) unstable; urgency=medium

  * Team upload
  * Drop __proto__ calls

 -- Yadd <yadd@debian.org>  Thu, 01 Dec 2022 15:10:08 +0100

passportjs (0.6.0+~1.0.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Add dependency to node-utils-merge
  * New upstream version 0.6.0+~1.0.0 (Closes: #1014385, CVE-2022-25896)

 -- Yadd <yadd@debian.org>  Tue, 05 Jul 2022 11:48:28 +0200

passportjs (0.5.2+~1.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.5.2+~1.0.0

 -- clesia_roberto <clesiaroberto@yahoo.com>  Fri, 15 Apr 2022 19:20:20 +0200

## passportjs 0.6.0+~1.0.0

=== Makefile ===
SOURCES = lib/*.js
TESTS = test/*.test.js

lint: lint-jshint
test: test-mocha
test-cov: test-istanbul-mocha
view-cov: view-istanbul-report


# ==============================================================================
# Node.js
# ==============================================================================
include support/mk/node.mk
include support/mk/mocha.mk

# ==============================================================================
# Browserify
# ==============================================================================
BROWSERIFY_MAIN = ./lib/index.js

include support/mk/browserify.mk
include support/mk/testling.mk

# ==============================================================================
# Code Quality
# ==============================================================================
include support/mk/notes.mk
include support/mk/jshint.mk
include support/mk/istanbul.mk

# ==============================================================================
# Continuous Integration
# ==============================================================================
include support/mk/coveralls.mk

ci-travis: test test-cov
submit-coverage-to-coveralls: submit-istanbul-lcov-to-coveralls

# ==============================================================================
# Clean
# ==============================================================================
clean:
	rm -rf build
	rm -rf reports

clobber: clean clobber-node


.PHONY: lint test test-cov view-cov ci-travis clean clobber

=== debian/changelog ===
passportjs (0.6.0+~1.0.0-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Dec 2025 20:37:07 +0000
